# Copyright 2012-2017 Intel Corporation.
# 
# This software is supplied under the terms of a license agreement or
# nondisclosure agreement with Intel Corporation and may not be copied
# or disclosed except in accordance with the terms of that agreement.

Summary: Intel(R) Xeon Phi(TM) processor diagnosing tool
Name: sysdiag
Version: 2.2.0+xpps
Release: %{?release}%{!?release:1}
License: See LICENSE.txt
Group: base
Vendor: Intel Corporation
URL: http://www.intel.com
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: memkind
Prefix: %{_prefix}
Provides: sysdiag
Obsoletes: xppsl-systools-sb xppsm-systools-sb

%description
The SysDiag tool provides a variety of information and diagnostics
for the processor.  SysDiag also monitors DDR, MCDRAM and PCI-E
information. It also monitors temperature  and performance state
data of the CPU.

%define debug_package %{nil}

%prep
%setup -q

%clean

%build
%{__make} all

%install
%{__make} install \
	DESTDIR=%{buildroot} \
	SBINDIR=%{_sbindir} \
	DATAROOTDIR=%{_datarootdir} \
	DOCDIR=%{_defaultdocdir}

%if 0%{?suse_version}
%py_compile %{buildroot}
%py_compile -O %{buildroot}
%endif

%files
%defattr(-,root,root,-)
%{_sbindir}/sysdiag
%dir %{_datarootdir}/sysdiag
%{_datarootdir}/sysdiag/__init__.py
%{_datarootdir}/sysdiag/__init__.py?
%{_datarootdir}/sysdiag/sys_diag.py
%{_datarootdir}/sysdiag/sys_diag.py?
%{_datarootdir}/sysdiag/sys_utils.py
%{_datarootdir}/sysdiag/sys_utils.py?
%{_datarootdir}/sysdiag/diag_memory.py
%{_datarootdir}/sysdiag/diag_memory.py?
%{_datarootdir}/sysdiag/diag_pcie.py
%{_datarootdir}/sysdiag/diag_pcie.py?
%{_datarootdir}/sysdiag/diag_power.py
%{_datarootdir}/sysdiag/diag_power.py?
%{_datarootdir}/sysdiag/diag_system.py
%{_datarootdir}/sysdiag/diag_system.py?
%{_datarootdir}/sysdiag/cpu-info.so
%dir %{_defaultdocdir}/sysdiag
%doc %{_defaultdocdir}/sysdiag/LICENSE.txt

%changelog
